%global srcname funcparserlib

Summary:        Recursive descent parsing library for Python based on functional combinators
Name:           python-%{srcname}
Version:        1.0.1
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/vlasovskikh/funcparserlib
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools

BuildArch:      noarch

%description
The primary focus of funcparserlib is parsing little languages
or external DSLs (domain specific languages).
Parsers made with funcparserlib are pure-Python LL(*) parsers.
It means that it's very easy to write parsers without thinking
about lookaheads and other hardcore parsing stuff. However,
recursive descent parsing is a rather slow method compared to
LL(k) or LR(k) algorithms. Still, parsing with funcparserlib
is at least twice faster than PyParsing, a very popular library
for Python.


%package -n python3-%{srcname}
Summary:        Recursive descent parsing library for Python based on functional combinators

%description -n python3-%{srcname}
The primary focus of funcparserlib is parsing little languages
or external DSLs (domain specific languages).
Parsers made with funcparserlib are pure-Python LL(*) parsers.
It means that it's very easy to write parsers without thinking
about lookaheads and other hardcore parsing stuff. However,
recursive descent parsing is a rather slow method compared to
LL(k) or LR(k) algorithms. Still, parsing with funcparserlib
is at least twice faster than PyParsing, a very popular library
for Python.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python3-%{srcname}
%license LICENSE
%doc PKG-INFO README.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.1-1
- initial build
